package main

type CyberGhost struct {
}

func (s *CyberGhost) ServerList() (error, *map[string]string) {
	VPNNames := map[string]string{
		"Europe/Albania":                "87-1-al.cg-dialup.net",
		"Europe/Algeria":                "87-1-dz.cg-dialup.net",
		"Europe/Andorra":                "87-1-ad.cg-dialup.net",
		"Europe/Armenia":                "87-1-am.cg-dialup.net",
		"Europe/Austria":                "87-1-at.cg-dialup.net",
		"Europe/Belarus":                "87-1-by.cg-dialup.net",
		"Europe/Belgium":                "87-1-be.cg-dialup.net",
		"Europe/Bosnia and Herzegovina": "87-1-ba.cg-dialup.net",
		"Europe/British IO Territory":   "87-1-io.cg-dialup.net",
		"Europe/Bulgaria":               "87-1-bg.cg-dialup.net",
		"Europe/Cyprus":                 "87-1-cy.cg-dialup.net",
		"Europe/Czech Republic":         "87-1-cz.cg-dialup.net",
		"Europe/Denmark":                "87-1-dk.cg-dialup.net",
		"Europe/Egypt":                  "87-1-eg.cg-dialup.net",
		"Europe/Estonia":                "87-1-ee.cg-dialup.net",
		"Europe/Finland":                "87-1-fi.cg-dialup.net",
		"Europe/France":                 "87-1-fr.cg-dialup.net",
		"Europe/Georgia":                "87-1-ge.cg-dialup.net",
		"Europe/Germany":                "87-1-de.cg-dialup.net",
		"Europe/Greece":                 "87-1-gr.cg-dialup.net",
		"Europe/Greenland":              "87-1-gl.cg-dialup.net",
		"Europe/Hungary":                "87-1-hu.cg-dialup.net",
		"Europe/Iceland":                "87-1-is.cg-dialup.net",
		"Europe/India":                  "87-1-in.cg-dialup.net",
		"Europe/Ireland":                "87-1-ie.cg-dialup.net",
		"Europe/Isle of Man":            "87-1-im.cg-dialup.net",
		"Europe/Israel":                 "87-1-il.cg-dialup.net",
		"Europe/Italy":                  "87-1-it.cg-dialup.net",
		"Europe/Kazakhstan":             "87-1-kz.cg-dialup.net",
		"Europe/Latvia":                 "87-1-lv.cg-dialup.net",
		"Europe/Liechtenstein":          "87-1-li.cg-dialup.net",
		"Europe/Lithuania":              "87-1-lt.cg-dialup.net",
		"Europe/Luxembourg":             "87-1-lu.cg-dialup.net",
		"Europe/Macedonia":              "87-1-mk.cg-dialup.net",
		"Europe/Malta":                  "87-1-mt.cg-dialup.net",
		"Europe/Moldova":                "87-1-md.cg-dialup.net",
		"Europe/Monaco":                 "87-1-mc.cg-dialup.net",
		"Europe/Montenegro":             "87-1-me.cg-dialup.net",
		"Europe/Morocco":                "87-1-ma.cg-dialup.net",
		"Europe/Netherlands":            "87-1-nl.cg-dialup.net",
		"Europe/Nigeria":                "87-1-ng.cg-dialup.net",
		"Europe/Norway":                 "87-1-no.cg-dialup.net",
		"Europe/Pakistan":               "87-1-pk.cg-dialup.net",
		"Europe/Panama":                 "87-1-pa.cg-dialup.net",
		"Europe/Poland":                 "87-1-pl.cg-dialup.net",
		"Europe/Portugal":               "87-1-pt.cg-dialup.net",
		"Europe/Qatar":                  "87-1-qa.cg-dialup.net",
		"Europe/Russian Federation":     "87-1-ru.cg-dialup.net",
		"Europe/Saudi Arabia":           "87-1-sa.cg-dialup.net",
		"Europe/Serbia":                 "87-1-rs.cg-dialup.net",
		"Europe/Slovakia":               "87-1-sk.cg-dialup.net",
		"Europe/Slovenia":               "87-1-si.cg-dialup.net",
		"Europe/South Africa":           "87-1-za.cg-dialup.net",
		"Europe/South Georgia":          "87-1-gs.cg-dialup.net",
		"Europe/Spain":                  "87-1-es.cg-dialup.net",
		"Europe/Sri Lanka":              "87-1-lk.cg-dialup.net",
		"Europe/Sweden":                 "87-1-se.cg-dialup.net",
		"Europe/Switzerland":            "87-1-ch.cg-dialup.net",
		"Europe/Turkey":                 "87-1-tr.cg-dialup.net",
		"Europe/Ukraine":                "87-1-ua.cg-dialup.net",
		"Europe/United Arab Emirates":   "87-1-ae.cg-dialup.net",
		"Europe/United Kingdom":         "87-1-gb.cg-dialup.net",
		"USA/Argentina":                 "94-1-ar.cg-dialup.net",
		"USA/Bahamas":                   "94-1-bs.cg-dialup.net",
		"USA/Brazil":                    "94-1-br.cg-dialup.net",
		"USA/Canada":                    "94-1-ca.cg-dialup.net",
		"USA/Mexico":                    "94-1-mx.cg-dialup.net",
		"USA/United States":             "94-1-us.cg-dialup.net",
		"USA/United States Islands":     "94-1-um.cg-dialup.net",
		"USA/Venezuela":                 "94-1-ve.cg-dialup.net",
		"Asia/Australia":                "95-1-au.cg-dialup.net",
		"Asia/Bangladesh":               "95-1-bd.cg-dialup.net",
		"Asia/Cambodia":                 "95-1-kh.cg-dialup.net",
		"Asia/China":                    "95-1-cn.cg-dialup.net",
		"Asia/Hong Kong":                "95-1-hk.cg-dialup.net",
		"Asia/Indonesia":                "95-1-id.cg-dialup.net",
		"Asia/Iran":                     "95-1-ir.cg-dialup.net",
		"Asia/Japan":                    "95-1-jp.cg-dialup.net",
		"Asia/Kenya":                    "95-1-ke.cg-dialup.net",
		"Asia/Korea":                    "95-1-kr.cg-dialup.net",
		"Asia/Macao":                    "95-1-mo.cg-dialup.net",
		"Asia/Malaysia":                 "95-1-my.cg-dialup.net",
		"Asia/Mongolia":                 "95-1-mn.cg-dialup.net",
		"Asia/New Zealand":              "95-1-nz.cg-dialup.net",
		"Asia/Philippines":              "95-1-ph.cg-dialup.net",
		"Asia/Singapore":                "95-1-sg.cg-dialup.net",
		"Asia/South Africa":             "95-1-za.cg-dialup.net",
		"Asia/Taiwan":                   "95-1-tw.cg-dialup.net",
		"Asia/Thailand":                 "95-1-th.cg-dialup.net",
		"Asia/Vietnam":                  "95-1-vn.cg-dialup.net",
	}
	return nil, &VPNNames
}
